<?php defined('SYSPATH') or die('No direct script access.');

class Controller_DeanOffice_Credits extends Controller_UserEnvironment
{
    public function before()
    {
        Cookie::set('fD', 'true'); // Ставим кук fD, чтоб иметь возможность скачать файл
        parent::before();
    }

    public function action_index()
    {
        $twig = Twig::factory('dean_office/credits');

        $Disciplines = Model_Disciplines::ofFaculty($this->user['FacultyID']);
        $list = array();
        foreach($Disciplines as $Row)
            if($Row['ExamType'] == "credit")
                $list[] = $Row;
        $twig->DisciplinesList = $list;
        $Milestone = Model_Discipline::getMilestone($this->user['FacultyID'], $this->user['SemesterID'])->offsetGet(0);
        $twig->CurrentMilestone = $Milestone['Num'];
        $twig->User = $this->user;
        $this->response->body($twig);
    }

    public function action_getMilestone()
    {
        $Milestone = Model_Discipline::getMilestone($this->user['FacultyID'], $this->user['SemesterID'])->offsetGet(0);
        $this->response->body($Milestone['Num']);
    }

    public function action_getInfo()
    {
        $id = (int) $_POST['ID'];
        $info = Model_Discipline::getInfo($id);
        $info['Teachers'] = Model_Teachers::forDiscipline($id, true, true);
        $this->response->body(json_encode($info));
    }

    public function action_setCreditMilestone()
    {
        $id = (int)$this->request->param("param1");
        $stage = (int)$this->request->param("param2");

        if ($stage >= 0 && $stage <= 3)
            $o = Model_Discipline::setMilestone(0, $id, $stage)->offsetGet(0);
        $this->response->body('');
    }

    public function action_setMilestone()
    {
        $stage = (int)$this->request->param("param1");
        if ($stage >= 0 && $stage <= 3)
            Model_Discipline::setMilestoneForCredits(0, $this->user['FacultyID'], $stage);
        $this->response->body('');
    }
}